using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoKfcKeywordSearchKfcSearchResult
{

    /*
        是否匹配到关键词,匹配到则为true.
    */
    private bool? matched;


    /*
        匹配到的关键词的等级，值为null，或为A、B、C、D。
当匹配不到关键词时，值为null，否则值为A、B、C、D中的一个。
A、B、C、D等级按严重程度从高至低排列。
    */
    private string? level;


    /*
        过滤后的文本：
当匹配到B等级的词时，文本中的关键词被替换为*号，content即为关键词替换后的文本；
其他情况，content始终为null
    */
    private string? content;



    [JsonPropertyName("matched")]
    public bool? Matched
    {
        get => matched;
        set => this.matched = value;
    }

    [JsonPropertyName("level")]
    public string? Level
    {
        get => level;
        set => this.level = value;
    }

    [JsonPropertyName("content")]
    public string? Content
    {
        get => content;
        set => this.content = value;
    }

}

